# Logstash

class elasticsearch.client.LogstashClient

  To use this client, access `client.logstash` from an `Elasticsearch` client. For example:

      from elasticsearch import Elasticsearch

      # Create the client instance
      client = Elasticsearch(...)
      # Use the logstash client
      client.logstash.<method>(...)

  delete_pipeline(*, id, error_trace=None, filter_path=None, human=None, pretty=None)

    Delete a Logstash pipeline.

    Delete a pipeline that is used for Logstash Central Management. If the request succeeds, you receive an empty response with an appropriate status code.

    https://www.elastic.co/docs/api/doc/elasticsearch/v9/operation-logstash-delete-pipeline

    Parameters:

      - id (str) – An identifier for the pipeline.

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]

  get_pipeline(*, id=None, error_trace=None, filter_path=None, human=None, pretty=None)

    Get Logstash pipelines.

    Get pipelines that are used for Logstash Central Management.

    https://www.elastic.co/docs/api/doc/elasticsearch/v9/operation-logstash-get-pipeline

    Parameters:

      - id (str | Sequence[str] | None) – A comma-separated list of pipeline identifiers.

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]

  put_pipeline(*, id, pipeline=None, body=None, error_trace=None, filter_path=None, human=None, pretty=None)

    Create or update a Logstash pipeline.

    Create a pipeline that is used for Logstash Central Management. If the specified pipeline exists, it is replaced.

    https://www.elastic.co/docs/api/doc/elasticsearch/v9/operation-logstash-put-pipeline

    Parameters:

      - id (str) – An identifier for the pipeline. Pipeline IDs must begin with a letter or underscore and contain only letters, underscores, dashes, hyphens and numbers.

      - pipeline (Mapping[str, Any] | None)

      - body (Mapping[str, Any] | None)

      - error_trace (bool | None)

      - filter_path (str | Sequence[str] | None)

      - human (bool | None)

      - pretty (bool | None)

    Return type:

      ObjectApiResponse[Any]